## elixir-lang 1.9.1.dfsg

=== Makefile ===
PREFIX ?= /usr/local
SHARE_PREFIX ?= $(PREFIX)/share
MAN_PREFIX ?= $(SHARE_PREFIX)/man
CANONICAL := v1.9/ # master/ or vMAJOR.MINOR/
ELIXIRC := bin/elixirc --verbose --ignore-module-conflict $(ELIXIRC_OPTS)
ERLC := erlc -I lib/elixir/include $(ERLC_OPTS)
ERL := erl -I lib/elixir/include -noshell -pa lib/elixir/ebin
GENERATE_APP := $(CURDIR)/lib/elixir/generate_app.escript
VERSION := $(strip $(shell cat VERSION))
Q := @
LIBDIR := lib
BINDIR := bin
INSTALL = install
INSTALL_DIR = $(INSTALL) -m755 -d
INSTALL_DATA = $(INSTALL) -m644
INSTALL_PROGRAM = $(INSTALL) -m755
GIT_REVISION = $(strip $(shell git rev-parse HEAD 2> /dev/null ))
GIT_TAG = $(strip $(shell head="$(call GIT_REVISION)"; git tag --points-at $$head 2> /dev/null | tail -1) )
SOURCE_DATE_EPOCH_PATH = lib/elixir/tmp/ebin_reproducible
SOURCE_DATE_EPOCH_FILE = $(SOURCE_DATE_EPOCH_PATH)/SOURCE_DATE_EPOCH

.PHONY: install compile erlang elixir unicode app build_plt clean_plt dialyze test check_reproducible clean clean_residual_files install_man clean_man docs Docs.zip Precompiled.zip zips
.NOTPARALLEL: compile

#==> Functions

define CHECK_ERLANG_RELEASE
	erl -noshell -eval '{V,_} = string:to_integer(erlang:system_info(otp_release)), io:fwrite("~s", [is_integer(V) and (V >= 20)])' -s erlang halt | grep -q '^true'; \
		if [ $$? != 0 ]; then \
		  echo "At least Erlang/OTP 20.0 is required to build Elixir"; \
		  exit 1; \
		fi
endef

define APP_TEMPLATE
$(1): lib/$(1)/ebin/Elixir.$(2).beam lib/$(1)/ebin/$(1).app

lib/$(1)/ebin/$(1).app: lib/$(1)/mix.exs
	$(Q) cd lib/$(1) && ../../bin/elixir -e 'Mix.start(:permanent, [])' -r mix.exs -e 'Mix.Task.run("compile.app", ~w[--compile-path ebin])'

lib/$(1)/ebin/Elixir.$(2).beam: $(wildcard lib/$(1)/lib/*.ex) $(wildcard lib/$(1)/lib/*/*.ex) $(wildcard lib/$(1)/lib/*/*/*.ex)
	@ echo "==> $(1) (compile)"
	@ rm -rf lib/$(1)/ebin
	$(Q) cd lib/$(1) && ../../$$(ELIXIRC) "lib/**/*.ex" -o ebin

test_$(1): compile $(1)
	@ echo "==> $(1) (ex_unit)"
	$(Q) cd lib/$(1) && ../../bin/elixir -r "test/test_helper.exs" -pr "test/**/*_test.exs";
endef

define WRITE_SOURCE_DATE_EPOCH
$(shell mkdir -p $(SOURCE_DATE_EPOCH_PATH) && bin/elixir -e \
  'IO.puts System.build_info()[:date] \
   |> DateTime.from_iso8601() \
   |> elem(1) \
   |> DateTime.to_unix()' > $(SOURCE_DATE_EPOCH_FILE))
endef

define READ_SOURCE_DATE_EPOCH
$(strip $(shell cat $(SOURCE_DATE_EPOCH_FILE)))
endef

#==> Compilation tasks

APP := lib/elixir/ebin/elixir.app
PARSER := lib/elixir/src/elixir_parser.erl
KERNEL := lib/elixir/ebin/Elixir.Kernel.beam
UNICODE := lib/elixir/ebin/Elixir.String.Unicode.beam

default: compile

compile: erlang $(APP) elixir

erlang: $(PARSER)
	$(Q) if [ ! -f $(APP) ]; then $(call CHECK_ERLANG_RELEASE); fi
	$(Q) cd lib/elixir && mkdir -p ebin && erl -make

$(PARSER): lib/elixir/src/elixir_parser.yrl
	$(Q) erlc -o $@ +'{verbose,true}' +'{report,true}' $<

# Since Mix depends on EEx and EEx depends on Mix,
# we first compile EEx without the .app file,
# then Mix and then compile EEx fully
elixir: stdlib lib/eex/ebin/Elixir.EEx.beam mix ex_unit logger eex iex

stdlib: $(KERNEL) VERSION
$(KERNEL): lib/elixir/lib/*.ex lib/elixir/lib/*/*.ex lib/elixir/lib/*/*/*.ex
	$(Q) if [ ! -f $(KERNEL) ]; then \
		echo "==> bootstrap (compile)"; \
		$(ERL) -s elixir_compiler bootstrap -s erlang halt; \
	fi
	@ echo "==> elixir (compile)";
	$(Q) cd lib/elixir && ../../$(ELIXIRC) "lib/kernel.ex" -o ebin;
	$(Q) cd lib/elixir && ../../$(ELIXIRC) "lib/**/*.ex" -o ebin;
	$(Q) $(MAKE) unicode
	$(Q) $(MAKE) app

app: $(APP)
$(APP): lib/elixir/src/elixir.app.src lib/elixir/ebin VERSION $(GENERATE_APP)
	$(Q) $(GENERATE_APP) $< $@ $(VERSION)

unicode: $(UNICODE)
$(UNICODE): lib/elixir/unicode/*
	@ echo "==> unicode (compile)";
	$(Q) $(ELIXIRC) lib/elixir/unicode/unicode.ex -o lib/elixir/ebin;
	$(Q) $(ELIXIRC) lib/elixir/unicode/properties.ex -o lib/elixir/ebin;
	$(Q) $(ELIXIRC) lib/elixir/unicode/tokenizer.ex -o lib/elixir/ebin;

$(eval $(call APP_TEMPLATE,ex_unit,ExUnit))
$(eval $(call APP_TEMPLATE,logger,Logger))
$(eval $(call APP_TEMPLATE,eex,EEx))
$(eval $(call APP_TEMPLATE,mix,Mix))
$(eval $(call APP_TEMPLATE,iex,IEx))

install: compile
	@ echo "==> elixir (install)"
	$(Q) for dir in lib/*; do \
		rm -rf $(DESTDIR)$(PREFIX)/$(LIBDIR)/elixir/$$dir/ebin; \
		$(INSTALL_DIR) "$(DESTDIR)$(PREFIX)/$(LIBDIR)/elixir/$$dir/ebin"; \
		$(INSTALL_DATA) $$dir/ebin/* "$(DESTDIR)$(PREFIX)/$(LIBDIR)/elixir/$$dir/ebin"; \
	done
	$(Q) $(INSTALL_DIR) "$(DESTDIR)$(PREFIX)/$(LIBDIR)/elixir/bin"
	$(Q) $(INSTALL_PROGRAM) $(filter-out %.ps1, $(filter-out %.bat, $(wildcard bin/*))) "$(DESTDIR)$(PREFIX)/$(LIBDIR)/elixir/bin"
	$(Q) $(INSTALL_DIR) "$(DESTDIR)$(PREFIX)/$(BINDIR)"
	$(Q) for file in "$(DESTDIR)$(PREFIX)"/$(LIBDIR)/elixir/bin/*; do \
		ln -sf "../$(LIBDIR)/elixir/bin/$${file##*/}" "$(DESTDIR)$(PREFIX)/$(BINDIR)/"; \
	done
	$(MAKE) install_man

check_reproducible: compile
	$(Q) echo "==> Checking for reproducible builds..."
	$(Q) rm -rf lib/*/tmp/ebin_reproducible/
	$(call WRITE_SOURCE_DATE_EPOCH)
	$(Q) mkdir -p lib/elixir/tmp/ebin_reproducible/ \
	              lib/eex/tmp/ebin_reproducible/ \
	              lib/iex/tmp/ebin_reproducible/ \
	              lib/logger/tmp/ebin_reproducible/ \
	              lib/mix/tmp/ebin_reproducible/
	$(Q) mv lib/elixir/ebin/* lib/elixir/tmp/ebin_reproducible/
	$(Q) mv lib/eex/ebin/* lib/eex/tmp/ebin_reproducible/
	$(Q) mv lib/iex/ebin/* lib/iex/tmp/ebin_reproducible/
	$(Q) mv lib/logger/ebin/* lib/logger/tmp/ebin_reproducible/
	$(Q) mv lib/mix/ebin/* lib/mix/tmp/ebin_reproducible/
	SOURCE_DATE_EPOCH=$(call READ_SOURCE_DATE_EPOCH) $(MAKE) compile
	$(Q) echo "Diffing..."
	$(Q) diff -r lib/elixir/ebin/ lib/elixir/tmp/ebin_reproducible/
	$(Q) diff -r lib/eex/ebin/ lib/eex/tmp/ebin_reproducible/
	$(Q) diff -r lib/iex/ebin/ lib/iex/tmp/ebin_reproducible/
	$(Q) diff -r lib/logger/ebin/ lib/logger/tmp/ebin_reproducible/
	$(Q) diff -r lib/mix/ebin/ lib/mix/tmp/ebin_reproducible/
	$(Q) echo "Builds are reproducible"

clean:
	rm -rf ebin
	rm -rf lib/*/ebin
	rm -rf $(PARSER)
	$(Q) $(MAKE) clean_residual_files

clean_elixir:
	$(Q) rm -f lib/*/ebin/Elixir.*.beam

clean_residual_files:
	rm -rf lib/*/_build/
	rm -rf lib/*/tmp/
	rm -rf lib/elixir/test/ebin/
	rm -rf lib/mix/test/fixtures/deps_on_git_repo/
	rm -rf lib/mix/test/fixtures/git_rebar/
	rm -rf lib/mix/test/fixtures/git_repo/
	rm -rf lib/mix/test/fixtures/git_sparse_repo/
	rm -f erl_crash.dump
	$(Q) $(MAKE) clean_man

#==> Documentation tasks

LOGO_PATH = $(shell test -f ../docs/logo.png && echo "--logo ../docs/logo.png")
SOURCE_REF = $(shell tag="$(call GIT_TAG)" revision="$(call GIT_REVISION)"; echo "$${tag:-$$revision}\c")
DOCS_FORMAT = html
COMPILE_DOCS = bin/elixir ../ex_doc/bin/ex_doc "$(1)" "$(VERSION)" "lib/$(2)/ebin" -m "$(3)" -u "https://github.com/elixir-lang/elixir" --source-ref "$(call SOURCE_REF)" $(call LOGO_PATH) -o doc/$(2) -n https://hexdocs.pm/$(2)/$(CANONICAL) -p https://elixir-lang.org/docs.html -f "$(DOCS_FORMAT)" $(4)

docs: compile ../ex_doc/bin/ex_doc docs_elixir docs_eex docs_mix docs_iex docs_ex_unit docs_logger

docs_elixir: compile ../ex_doc/bin/ex_doc
	@ echo "==> ex_doc (elixir)"
	$(Q) rm -rf doc/elixir
	$(call COMPILE_DOCS,Elixir,elixir,Kernel,-c lib/elixir/docs.exs)

docs_eex: compile ../ex_doc/bin/ex_doc
	@ echo "==> ex_doc (eex)"
	$(Q) rm -rf doc/eex
	$(call COMPILE_DOCS,EEx,eex,EEx)

docs_mix: compile ../ex_doc/bin/ex_doc
	@ echo "==> ex_doc (mix)"
	$(Q) rm -rf doc/mix
	$(call COMPILE_DOCS,Mix,mix,Mix)

docs_iex: compile ../ex_doc/bin/ex_doc
	@ echo "==> ex_doc (iex)"
	$(Q) rm -rf doc/iex
	$(call COMPILE_DOCS,IEx,iex,IEx)

docs_ex_unit: compile ../ex_doc/bin/ex_doc
	@ echo "==> ex_doc (ex_unit)"
	$(Q) rm -rf doc/ex_unit
	$(call COMPILE_DOCS,ExUnit,ex_unit,ExUnit)

docs_logger: compile ../ex_doc/bin/ex_doc
	@ echo "==> ex_doc (logger)"
	$(Q) rm -rf doc/logger
	$(call COMPILE_DOCS,Logger,logger,Logger)

../ex_doc/bin/ex_doc:
	@ echo "ex_doc is not found in ../ex_doc as expected. See README for more information."
	@ false

#==> Zip tasks

Docs.zip: docs
	rm -f Docs-v$(VERSION).zip
	zip -9 -r Docs-v$(VERSION).zip CHANGELOG.md doc NOTICE LICENSE README.md
	@ echo "Docs file created $(CURDIR)/Docs-v$(VERSION).zip"

Precompiled.zip: build_man compile
	rm -f Precompiled-v$(VERSION).zip
	zip -9 -r Precompiled-v$(VERSION).zip bin CHANGELOG.md lib/*/ebin lib/*/lib LICENSE man NOTICE README.md VERSION
	@ echo "Precompiled file created $(CURDIR)/Precompiled-v$(VERSION).zip"

zips: Precompiled.zip Docs.zip
	@ echo ""
	@ echo "### Checksums"
	@ echo ""
	@ shasum -a 1 < Precompiled-v$(VERSION).zip | sed -e "s/-//" | xargs echo "  * Precompiled.zip SHA1:"
	@ shasum -a 512 < Precompiled-v$(VERSION).zip | sed -e "s/-//" | xargs echo "  * Precompiled.zip SHA512:"
	@ shasum -a 1 < Docs-v$(VERSION).zip | sed -e "s/-//" | xargs echo "  * Docs.zip SHA1:"
	@ shasum -a 512 < Docs-v$(VERSION).zip | sed -e "s/-//" | xargs echo "  * Docs.zip SHA512:"
	@ echo ""

#==> Test tasks

test: test_formatted test_erlang test_elixir

test_windows: test test_taskkill

test_taskkill:
	taskkill //IM erl.exe //F //T //FI "MEMUSAGE gt 0"
	taskkill //IM epmd.exe //F //T //FI "MEMUSAGE gt 0"

TEST_ERL = lib/elixir/test/erlang
TEST_EBIN = lib/elixir/test/ebin
TEST_ERLS = $(addprefix $(TEST_EBIN)/, $(addsuffix .beam, $(basename $(notdir $(wildcard $(TEST_ERL)/*.erl)))))

test_formatted: compile
	bin/elixir bin/mix format --check-formatted

test_erlang: compile $(TEST_ERLS)
	@ echo "==> elixir (eunit)"
	$(Q) $(ERL) -pa $(TEST_EBIN) -s test_helper test;
	@ echo ""

$(TEST_EBIN)/%.beam: $(TEST_ERL)/%.erl
	$(Q) mkdir -p $(TEST_EBIN)
	$(Q) $(ERLC) -o $(TEST_EBIN) $<

test_elixir: test_stdlib test_ex_unit test_logger test_mix test_eex test_iex

test_stdlib: compile
	@ echo "==> elixir (ex_unit)"
	$(Q) exec epmd & exit
	$(Q) if [ "$(OS)" = "Windows_NT" ]; then \
		cd lib/elixir && cmd //C call ../../bin/elixir.bat -r "test/elixir/test_helper.exs" -pr "test/elixir/**/*_test.exs"; \
	else \
		cd lib/elixir && ../../bin/elixir -r "test/elixir/test_helper.exs" -pr "test/elixir/**/*_test.exs"; \
	fi

#==> Dialyzer tasks

DIALYZER_OPTS = --no_check_plt --fullpath -Werror_handling -Wunmatched_returns -Wunderspecs
PLT = .elixir.plt

$(PLT):
	@ echo "==> Building PLT with Elixir's dependencies..."
	$(Q) dialyzer --output_plt $(PLT) --build_plt --apps erts kernel stdlib compiler syntax_tools parsetools tools ssl inets

clean_plt:
	$(Q) rm -f $(PLT)

build_plt: clean_plt $(PLT)

dialyze: compile $(PLT)
	@ echo "==> Dialyzing Elixir..."
	$(Q) dialyzer -pa lib/elixir/ebin --plt $(PLT) $(DIALYZER_OPTS) lib/*/ebin

#==> Man page tasks

build_man: man/iex.1 man/elixir.1

man/iex.1:
	$(Q) cp man/iex.1.in man/iex.1
	$(Q) sed -i.bak "/{COMMON}/r man/common" man/iex.1
	$(Q) sed -i.bak "/{COMMON}/d" man/iex.1
	$(Q) rm -f man/iex.1.bak

man/elixir.1:
	$(Q) cp man/elixir.1.in man/elixir.1
	$(Q) sed -i.bak "/{COMMON}/r man/common" man/elixir.1
	$(Q) sed -i.bak "/{COMMON}/d" man/elixir.1
	$(Q) rm -f man/elixir.1.bak

clean_man:
	rm -f man/elixir.1
	rm -f man/elixir.1.bak
	rm -f man/iex.1
	rm -f man/iex.1.bak

install_man: build_man
	$(Q) mkdir -p $(DESTDIR)$(MAN_PREFIX)/man1
	$(Q) $(INSTALL_DATA) man/elixir.1  $(DESTDIR)$(MAN_PREFIX)/man1
	$(Q) $(INSTALL_DATA) man/elixirc.1 $(DESTDIR)$(MAN_PREFIX)/man1
	$(Q) $(INSTALL_DATA) man/iex.1     $(DESTDIR)$(MAN_PREFIX)/man1
	$(Q) $(INSTALL_DATA) man/mix.1     $(DESTDIR)$(MAN_PREFIX)/man1
	$(MAKE) clean_man

=== debian/changelog ===
elixir-lang (1.9.1.dfsg-1~ubuntu18.04.1) bionic-backports; urgency=medium

  * No-change backport to bionic (LP: #1864212)

 -- Iain Lane <iain@orangesquash.org.uk>  Mon, 20 Apr 2020 16:23:30 +0100

=== debian/control ===
Source: elixir-lang
Section: interpreters
Priority: optional
Maintainer: Evgeny Golyshev <eugulixes@gmail.com>
Build-Depends: debhelper (>= 10),
               erlang-crypto (>= 1:20),
               erlang-dev (>= 1:20),
               erlang-dialyzer (>= 1:20),
               erlang-eunit (>= 1:20),
               erlang-parsetools (>= 1:20),
               erlang-src (>= 1:20),
               git,
               rebar
Standards-Version: 4.1.4
Vcs-Git: https://salsa.debian.org/eugulixes-guest/elixir-lang.git
Vcs-Browser: https://salsa.debian.org/eugulixes-guest/elixir-lang
Homepage: http://elixir-lang.org/

Package: elixir
Architecture: any
Depends: erlang-base:any (>= 1:20) | erlang-base-hipe:any (>= 1:20),
         ${misc:Depends}
Description: functional meta-programming aware language
 Elixir is a functional meta-programming aware language intended primarily for
 developing distributed, fault-tolerant and scalable systems. Elixir source
 code is compiled to bytecode for the Erlang Virtual Machine (EVM), and can use
 Erlang libraries transparently.

=== debian/watch ===
version=3
opts=dversionmangle=s/\.dfsg//,repacksuffix=.dfsg \
https://github.com/elixir-lang/elixir/releases/ .*/elixir/archive/v([0-9.]*).tar.gz

## elixir-lang 1.10.3.dfsg

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,8 @@
 PREFIX ?= /usr/local
+TEST_FILES ?= "*_test.exs"
 SHARE_PREFIX ?= $(PREFIX)/share
 MAN_PREFIX ?= $(SHARE_PREFIX)/man
-CANONICAL := v1.9/ # master/ or vMAJOR.MINOR/
+CANONICAL := v1.10/ # master/ or vMAJOR.MINOR/
 ELIXIRC := bin/elixirc --verbose --ignore-module-conflict $(ELIXIRC_OPTS)
 ERLC := erlc -I lib/elixir/include $(ERLC_OPTS)
 ERL := erl -I lib/elixir/include -noshell -pa lib/elixir/ebin
@@ -19,15 +20,15 @@
 SOURCE_DATE_EPOCH_PATH = lib/elixir/tmp/ebin_reproducible
 SOURCE_DATE_EPOCH_FILE = $(SOURCE_DATE_EPOCH_PATH)/SOURCE_DATE_EPOCH
 
-.PHONY: install compile erlang elixir unicode app build_plt clean_plt dialyze test check_reproducible clean clean_residual_files install_man clean_man docs Docs.zip Precompiled.zip zips
+.PHONY: install compile erlang elixir unicode app build_plt clean_plt dialyze test check_reproducible clean clean_residual_files format install_man clean_man docs Docs.zip Precompiled.zip zips
 .NOTPARALLEL: compile
 
 #==> Functions
 
 define CHECK_ERLANG_RELEASE
-	erl -noshell -eval '{V,_} = string:to_integer(erlang:system_info(otp_release)), io:fwrite("~s", [is_integer(V) and (V >= 20)])' -s erlang halt | grep -q '^true'; \
+	erl -noshell -eval '{V,_} = string:to_integer(erlang:system_info(otp_release)), io:fwrite("~s", [is_integer(V) and (V >= 21)])' -s erlang halt | grep -q '^true'; \
 		if [ $$? != 0 ]; then \
-		  echo "At least Erlang/OTP 20.0 is required to build Elixir"; \
+		  echo "At least Erlang/OTP 21.0 is required to build Elixir"; \
 		  exit 1; \
 		fi
 endef
@@ -45,7 +46,7 @@
 
 test_$(1): compile $(1)
 	@ echo "==> $(1) (ex_unit)"
-	$(Q) cd lib/$(1) && ../../bin/elixir -r "test/test_helper.exs" -pr "test/**/*_test.exs";
+	$(Q) cd lib/$(1) && ../../bin/elixir -r "test/test_helper.exs" -pr "test/**/$(TEST_FILES)";
 endef
 
 define WRITE_SOURCE_DATE_EPOCH
@@ -89,10 +90,9 @@
 		echo "==> bootstrap (compile)"; \
 		$(ERL) -s elixir_compiler bootstrap -s erlang halt; \
 	fi
+	$(Q) $(MAKE) unicode
 	@ echo "==> elixir (compile)";
-	$(Q) cd lib/elixir && ../../$(ELIXIRC) "lib/kernel.ex" -o ebin;
 	$(Q) cd lib/elixir && ../../$(ELIXIRC) "lib/**/*.ex" -o ebin;
-	$(Q) $(MAKE) unicode
 	$(Q) $(MAKE) app
 
 app: $(APP)
@@ -133,11 +133,13 @@
 	$(call WRITE_SOURCE_DATE_EPOCH)
 	$(Q) mkdir -p lib/elixir/tmp/ebin_reproducible/ \
 	              lib/eex/tmp/ebin_reproducible/ \
+	              lib/ex_unit/tmp/ebin_reproducible/ \
 	              lib/iex/tmp/ebin_reproducible/ \
 	              lib/logger/tmp/ebin_reproducible/ \
 	              lib/mix/tmp/ebin_reproducible/
 	$(Q) mv lib/elixir/ebin/* lib/elixir/tmp/ebin_reproducible/
 	$(Q) mv lib/eex/ebin/* lib/eex/tmp/ebin_reproducible/
+	$(Q) mv lib/ex_unit/ebin/* lib/ex_unit/tmp/ebin_reproducible/
 	$(Q) mv lib/iex/ebin/* lib/iex/tmp/ebin_reproducible/
 	$(Q) mv lib/logger/ebin/* lib/logger/tmp/ebin_reproducible/
 	$(Q) mv lib/mix/ebin/* lib/mix/tmp/ebin_reproducible/
@@ -145,6 +147,7 @@
 	$(Q) echo "Diffing..."
 	$(Q) diff -r lib/elixir/ebin/ lib/elixir/tmp/ebin_reproducible/
 	$(Q) diff -r lib/eex/ebin/ lib/eex/tmp/ebin_reproducible/
+	$(Q) diff -r lib/ex_unit/ebin/ lib/ex_unit/tmp/ebin_reproducible/
 	$(Q) diff -r lib/iex/ebin/ lib/iex/tmp/ebin_reproducible/
 	$(Q) diff -r lib/logger/ebin/ lib/logger/tmp/ebin_reproducible/
 	$(Q) diff -r lib/mix/ebin/ lib/mix/tmp/ebin_reproducible/
@@ -173,16 +176,16 @@
 #==> Documentation tasks
 
 LOGO_PATH = $(shell test -f ../docs/logo.png && echo "--logo ../docs/logo.png")
-SOURCE_REF = $(shell tag="$(call GIT_TAG)" revision="$(call GIT_REVISION)"; echo "$${tag:-$$revision}\c")
+SOURCE_REF = $(shell tag="$(call GIT_TAG)" revision="$(call GIT_REVISION)"; echo "$${tag:-$$revision}")
 DOCS_FORMAT = html
-COMPILE_DOCS = bin/elixir ../ex_doc/bin/ex_doc "$(1)" "$(VERSION)" "lib/$(2)/ebin" -m "$(3)" -u "https://github.com/elixir-lang/elixir" --source-ref "$(call SOURCE_REF)" $(call LOGO_PATH) -o doc/$(2) -n https://hexdocs.pm/$(2)/$(CANONICAL) -p https://elixir-lang.org/docs.html -f "$(DOCS_FORMAT)" $(4)
+COMPILE_DOCS = bin/elixir ../ex_doc/bin/ex_doc "$(1)" "$(VERSION)" "lib/$(2)/ebin" --main "$(3)" --source-url "https://github.com/elixir-lang/elixir" --source-ref "$(call SOURCE_REF)" $(call LOGO_PATH) --output doc/$(2) --canonical "https://hexdocs.pm/$(2)/$(CANONICAL)" --homepage-url "https://elixir-lang.org/docs.html" --formatter "$(DOCS_FORMAT)" $(4)
 
 docs: compile ../ex_doc/bin/ex_doc docs_elixir docs_eex docs_mix docs_iex docs_ex_unit docs_logger
 
 docs_elixir: compile ../ex_doc/bin/ex_doc
 	@ echo "==> ex_doc (elixir)"
 	$(Q) rm -rf doc/elixir
-	$(call COMPILE_DOCS,Elixir,elixir,Kernel,-c lib/elixir/docs.exs)
+	$(call COMPILE_DOCS,Elixir,elixir,Kernel,--config "lib/elixir/docs.exs")
 
 docs_eex: compile ../ex_doc/bin/ex_doc
 	@ echo "==> ex_doc (eex)"
@@ -237,6 +240,7 @@
 
 #==> Test tasks
 
+# If you modify this task, please update .cirrus.yml accordingly
 test: test_formatted test_erlang test_elixir
 
 test_windows: test test_taskkill
@@ -249,8 +253,19 @@
 TEST_EBIN = lib/elixir/test/ebin
 TEST_ERLS = $(addprefix $(TEST_EBIN)/, $(addsuffix .beam, $(basename $(notdir $(wildcard $(TEST_ERL)/*.erl)))))
 
+define FORMAT
+	$(Q) if [ "$(OS)" = "Windows_NT" ]; then \
+		cmd //C call ./bin/mix.bat format $(1); \
+	else \
+		bin/elixir bin/mix format $(1); \
+	fi
+endef
+
+format: compile
+	$(call FORMAT)
+
 test_formatted: compile
-	bin/elixir bin/mix format --check-formatted
+	$(call FORMAT,--check-formatted)
 
 test_erlang: compile $(TEST_ERLS)
 	@ echo "==> elixir (eunit)"
@@ -267,9 +282,9 @@
 	@ echo "==> elixir (ex_unit)"
 	$(Q) exec epmd & exit
 	$(Q) if [ "$(OS)" = "Windows_NT" ]; then \
-		cd lib/elixir && cmd //C call ../../bin/elixir.bat -r "test/elixir/test_helper.exs" -pr "test/elixir/**/*_test.exs"; \
+		cd lib/elixir && cmd //C call ../../bin/elixir.bat -r "test/elixir/test_helper.exs" -pr "test/elixir/**/$(TEST_FILES)"; \
 	else \
-		cd lib/elixir && ../../bin/elixir -r "test/elixir/test_helper.exs" -pr "test/elixir/**/*_test.exs"; \
+		cd lib/elixir && ../../bin/elixir -r "test/elixir/test_helper.exs" -pr "test/elixir/**/$(TEST_FILES)"; \
 	fi
 
 #==> Dialyzer tasks

=== debian/control ===
Source: elixir-lang
Section: interpreters
Priority: optional
Maintainer: Evgeny Golyshev <eugulixes@gmail.com>
Build-Depends: debhelper (>= 10),
               erlang-crypto (>= 1:21),
               erlang-dev (>= 1:21),
               erlang-dialyzer (>= 1:21),
               erlang-eunit (>= 1:21),
               erlang-parsetools (>= 1:21),
               erlang-src (>= 1:21),
               git,
               rebar
Standards-Version: 4.1.4
Vcs-Git: https://salsa.debian.org/eugulixes-guest/elixir-lang.git
Vcs-Browser: https://salsa.debian.org/eugulixes-guest/elixir-lang
Homepage: http://elixir-lang.org/

Package: elixir
Architecture: any
Depends: ${erlang:Depends}, ${misc:Depends}
Description: functional meta-programming aware language
 Elixir is a functional meta-programming aware language intended primarily for
 developing distributed, fault-tolerant and scalable systems. Elixir source
 code is compiled to bytecode for the Erlang Virtual Machine (EVM), and can use
 Erlang libraries transparently.

=== debian/rules ===
#!/usr/bin/make -f

export LANG=C.UTF-8
export LC_ALL=C.UTF-8
export REBAR=/usr/bin/rebar
export PREFIX=/usr

%:
	dh $@


override_dh_auto_test: .home
	CNT=3 ; rc=1 ; while [ $$CNT != 0 ] && [ $$rc != 0 ] ; do \
		if HOME=$(CURDIR)/.home dh_auto_test ; then \
			rc=0 ; \
		else \
			rc=1 ; \
			epmd -kill ; \
		fi ; \
		CNT=$$(( $$CNT - 1)) ; \
	done ; \
	if [ $${rc} != 0 ] ; then exit $$rc ; else epmd -kill ; fi

override_dh_auto_clean:
	$(RM) -r .home
	dh_auto_clean

override_dh_shlibdeps:
	dh_shlibdeps
	erlang-depends

.home:
	mkdir $@

## elixir-lang 1.12.2.dfsg

=== Makefile ===
--- 
+++ 
@@ -2,9 +2,11 @@
 TEST_FILES ?= "*_test.exs"
 SHARE_PREFIX ?= $(PREFIX)/share
 MAN_PREFIX ?= $(SHARE_PREFIX)/man
-CANONICAL := v1.10/ # master/ or vMAJOR.MINOR/
-ELIXIRC := bin/elixirc --verbose --ignore-module-conflict $(ELIXIRC_OPTS)
-ERLC := erlc -I lib/elixir/include $(ERLC_OPTS)
+CANONICAL := 1.12/
+CANONICAL ?= master/
+ELIXIRC := bin/elixirc --ignore-module-conflict $(ELIXIRC_OPTS)
+ERLC := erlc -I lib/elixir/include
+ERL_MAKE := if [ -n "$(ERLC_OPTS)" ]; then ERL_COMPILER_OPTIONS=$(ERLC_OPTS) erl -make; else erl -make; fi
 ERL := erl -I lib/elixir/include -noshell -pa lib/elixir/ebin
 GENERATE_APP := $(CURDIR)/lib/elixir/generate_app.escript
 VERSION := $(strip $(shell cat VERSION))
@@ -26,9 +28,9 @@
 #==> Functions
 
 define CHECK_ERLANG_RELEASE
-	erl -noshell -eval '{V,_} = string:to_integer(erlang:system_info(otp_release)), io:fwrite("~s", [is_integer(V) and (V >= 21)])' -s erlang halt | grep -q '^true'; \
+	erl -noshell -eval '{V,_} = string:to_integer(erlang:system_info(otp_release)), io:fwrite("~s", [is_integer(V) and (V >= 22)])' -s erlang halt | grep -q '^true'; \
 		if [ $$? != 0 ]; then \
-		  echo "At least Erlang/OTP 21.0 is required to build Elixir"; \
+		  echo "At least Erlang/OTP 22.0 is required to build Elixir"; \
 		  exit 1; \
 		fi
 endef
@@ -74,14 +76,14 @@
 
 erlang: $(PARSER)
 	$(Q) if [ ! -f $(APP) ]; then $(call CHECK_ERLANG_RELEASE); fi
-	$(Q) cd lib/elixir && mkdir -p ebin && erl -make
+	$(Q) cd lib/elixir && mkdir -p ebin && $(ERL_MAKE)
 
 $(PARSER): lib/elixir/src/elixir_parser.yrl
 	$(Q) erlc -o $@ +'{verbose,true}' +'{report,true}' $<
 
 # Since Mix depends on EEx and EEx depends on Mix,
 # we first compile EEx without the .app file,
-# then Mix and then compile EEx fully
+# then Mix, and then compile EEx fully
 elixir: stdlib lib/eex/ebin/Elixir.EEx.beam mix ex_unit logger eex iex
 
 stdlib: $(KERNEL) VERSION
@@ -145,12 +147,12 @@
 	$(Q) mv lib/mix/ebin/* lib/mix/tmp/ebin_reproducible/
 	SOURCE_DATE_EPOCH=$(call READ_SOURCE_DATE_EPOCH) $(MAKE) compile
 	$(Q) echo "Diffing..."
-	$(Q) diff -r lib/elixir/ebin/ lib/elixir/tmp/ebin_reproducible/
-	$(Q) diff -r lib/eex/ebin/ lib/eex/tmp/ebin_reproducible/
-	$(Q) diff -r lib/ex_unit/ebin/ lib/ex_unit/tmp/ebin_reproducible/
-	$(Q) diff -r lib/iex/ebin/ lib/iex/tmp/ebin_reproducible/
-	$(Q) diff -r lib/logger/ebin/ lib/logger/tmp/ebin_reproducible/
-	$(Q) diff -r lib/mix/ebin/ lib/mix/tmp/ebin_reproducible/
+	$(Q) bin/elixir lib/elixir/diff.exs lib/elixir/ebin/ lib/elixir/tmp/ebin_reproducible/
+	$(Q) bin/elixir lib/elixir/diff.exs lib/eex/ebin/ lib/eex/tmp/ebin_reproducible/
+	$(Q) bin/elixir lib/elixir/diff.exs lib/ex_unit/ebin/ lib/ex_unit/tmp/ebin_reproducible/
+	$(Q) bin/elixir lib/elixir/diff.exs lib/iex/ebin/ lib/iex/tmp/ebin_reproducible/
+	$(Q) bin/elixir lib/elixir/diff.exs lib/logger/ebin/ lib/logger/tmp/ebin_reproducible/
+	$(Q) bin/elixir lib/elixir/diff.exs lib/mix/ebin/ lib/mix/tmp/ebin_reproducible/
 	$(Q) echo "Builds are reproducible"
 
 clean:
@@ -178,7 +180,7 @@
 LOGO_PATH = $(shell test -f ../docs/logo.png && echo "--logo ../docs/logo.png")
 SOURCE_REF = $(shell tag="$(call GIT_TAG)" revision="$(call GIT_REVISION)"; echo "$${tag:-$$revision}")
 DOCS_FORMAT = html
-COMPILE_DOCS = bin/elixir ../ex_doc/bin/ex_doc "$(1)" "$(VERSION)" "lib/$(2)/ebin" --main "$(3)" --source-url "https://github.com/elixir-lang/elixir" --source-ref "$(call SOURCE_REF)" $(call LOGO_PATH) --output doc/$(2) --canonical "https://hexdocs.pm/$(2)/$(CANONICAL)" --homepage-url "https://elixir-lang.org/docs.html" --formatter "$(DOCS_FORMAT)" $(4)
+COMPILE_DOCS = CANONICAL=$(CANONICAL) bin/elixir ../ex_doc/bin/ex_doc "$(1)" "$(VERSION)" "lib/$(2)/ebin" --main "$(3)" --source-url "https://github.com/elixir-lang/elixir" --source-ref "$(call SOURCE_REF)" $(call LOGO_PATH) --output doc/$(2) --canonical "https://hexdocs.pm/$(2)/$(CANONICAL)" --homepage-url "https://elixir-lang.org/docs.html" --formatter "$(DOCS_FORMAT)" $(4)
 
 docs: compile ../ex_doc/bin/ex_doc docs_elixir docs_eex docs_mix docs_iex docs_ex_unit docs_logger
 
@@ -190,27 +192,27 @@
 docs_eex: compile ../ex_doc/bin/ex_doc
 	@ echo "==> ex_doc (eex)"
 	$(Q) rm -rf doc/eex
-	$(call COMPILE_DOCS,EEx,eex,EEx)
+	$(call COMPILE_DOCS,EEx,eex,EEx,--config "lib/mix/docs.exs")
 
 docs_mix: compile ../ex_doc/bin/ex_doc
 	@ echo "==> ex_doc (mix)"
 	$(Q) rm -rf doc/mix
-	$(call COMPILE_DOCS,Mix,mix,Mix)
+	$(call COMPILE_DOCS,Mix,mix,Mix,--config "lib/mix/docs.exs")
 
 docs_iex: compile ../ex_doc/bin/ex_doc
 	@ echo "==> ex_doc (iex)"
 	$(Q) rm -rf doc/iex
-	$(call COMPILE_DOCS,IEx,iex,IEx)
+	$(call COMPILE_DOCS,IEx,iex,IEx,--config "lib/mix/docs.exs")
 
 docs_ex_unit: compile ../ex_doc/bin/ex_doc
 	@ echo "==> ex_doc (ex_unit)"
 	$(Q) rm -rf doc/ex_unit
-	$(call COMPILE_DOCS,ExUnit,ex_unit,ExUnit)
+	$(call COMPILE_DOCS,ExUnit,ex_unit,ExUnit,--config "lib/mix/docs.exs")
 
 docs_logger: compile ../ex_doc/bin/ex_doc
 	@ echo "==> ex_doc (logger)"
 	$(Q) rm -rf doc/logger
-	$(call COMPILE_DOCS,Logger,logger,Logger)
+	$(call COMPILE_DOCS,Logger,logger,Logger,--config "lib/mix/docs.exs")
 
 ../ex_doc/bin/ex_doc:
 	@ echo "ex_doc is not found in ../ex_doc as expected. See README for more information."
@@ -294,7 +296,7 @@
 
 $(PLT):
 	@ echo "==> Building PLT with Elixir's dependencies..."
-	$(Q) dialyzer --output_plt $(PLT) --build_plt --apps erts kernel stdlib compiler syntax_tools parsetools tools ssl inets
+	$(Q) dialyzer --output_plt $(PLT) --build_plt --apps erts kernel stdlib compiler syntax_tools parsetools tools ssl inets crypto runtime_tools ftp tftp mnesia public_key asn1 hipe sasl
 
 clean_plt:
 	$(Q) rm -f $(PLT)
@@ -327,10 +329,3 @@
 	rm -f man/iex.1
 	rm -f man/iex.1.bak
 
-install_man: build_man
-	$(Q) mkdir -p $(DESTDIR)$(MAN_PREFIX)/man1
-	$(Q) $(INSTALL_DATA) man/elixir.1  $(DESTDIR)$(MAN_PREFIX)/man1
-	$(Q) $(INSTALL_DATA) man/elixirc.1 $(DESTDIR)$(MAN_PREFIX)/man1
-	$(Q) $(INSTALL_DATA) man/iex.1     $(DESTDIR)$(MAN_PREFIX)/man1
-	$(Q) $(INSTALL_DATA) man/mix.1     $(DESTDIR)$(MAN_PREFIX)/man1
-	$(MAKE) clean_man

=== debian/changelog ===
elixir-lang (1.12.2.dfsg-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Mark autopkgtest as flaky (see #997801)

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 24 Feb 2022 08:47:39 -0300

elixir-lang (1.12.2.dfsg-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix a test to build with erlang 24.1 (closes: #996437).

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 24 Oct 2021 10:18:35 +0300

elixir-lang (1.12.2.dfsg-2) unstable; urgency=medium

  * Fix debian/watch
  * Use debhelper 13

 -- Evgeny Golyshev <eugulixes@gmail.com>  Tue, 24 Aug 2021 16:41:05 +0300

elixir-lang (1.12.2.dfsg-1) unstable; urgency=medium

  * New upstream release (closes: #992719).
  * Require Erlang 22.0 or later.
  * Remove use_rebar_instead_of_rebar3_in_tests.patch since it was accepted to
    upstream (see https://github.com/elixir-lang/elixir/pull/10022).
  * Update debian/patches/remove_rebar3_related_tests.patch.

 -- Evgeny Golyshev <eugulixes@gmail.com>  Tue, 24 Aug 2021 14:42:48 +0300

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,16 @@
 Section: interpreters
 Priority: optional
 Maintainer: Evgeny Golyshev <eugulixes@gmail.com>
-Build-Depends: debhelper (>= 10),
-               erlang-crypto (>= 1:21),
-               erlang-dev (>= 1:21),
-               erlang-dialyzer (>= 1:21),
-               erlang-eunit (>= 1:21),
-               erlang-parsetools (>= 1:21),
-               erlang-src (>= 1:21),
+Build-Depends: debhelper-compat (= 13),
+               erlang-crypto (>= 1:24.1),
+               erlang-dev (>= 1:24.1),
+               erlang-dialyzer (>= 1:24.1),
+               erlang-eunit (>= 1:24.1),
+               erlang-parsetools (>= 1:24.1),
+               erlang-src (>= 1:24.1),
                git,
                rebar
-Standards-Version: 4.1.4
+Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/eugulixes-guest/elixir-lang.git
 Vcs-Browser: https://salsa.debian.org/eugulixes-guest/elixir-lang
 Homepage: http://elixir-lang.org/

=== debian/tests/control ===
Tests: run-all
Depends: @, bash, erlang-inets, erlang-parsetools, git, rebar
Restrictions: isolation-container, needs-root, flaky

## elixir-lang 1.14.0.dfsg

=== Makefile ===
--- 
+++ 
@@ -2,8 +2,9 @@
 TEST_FILES ?= "*_test.exs"
 SHARE_PREFIX ?= $(PREFIX)/share
 MAN_PREFIX ?= $(SHARE_PREFIX)/man
-CANONICAL := 1.12/
-CANONICAL ?= master/
+CANONICAL := 1.14/
+CANONICAL ?= main/
+DOCS_FORMAT ?= html
 ELIXIRC := bin/elixirc --ignore-module-conflict $(ELIXIRC_OPTS)
 ERLC := erlc -I lib/elixir/include
 ERL_MAKE := if [ -n "$(ERLC_OPTS)" ]; then ERL_COMPILER_OPTIONS=$(ERLC_OPTS) erl -make; else erl -make; fi
@@ -28,9 +29,9 @@
 #==> Functions
 
 define CHECK_ERLANG_RELEASE
-	erl -noshell -eval '{V,_} = string:to_integer(erlang:system_info(otp_release)), io:fwrite("~s", [is_integer(V) and (V >= 22)])' -s erlang halt | grep -q '^true'; \
+	erl -noshell -eval '{V,_} = string:to_integer(erlang:system_info(otp_release)), io:fwrite("~s", [is_integer(V) and (V >= 23)])' -s erlang halt | grep -q '^true'; \
 		if [ $$? != 0 ]; then \
-		  echo "At least Erlang/OTP 22.0 is required to build Elixir"; \
+		  echo "At least Erlang/OTP 23.0 is required to build Elixir"; \
 		  exit 1; \
 		fi
 endef
@@ -92,10 +93,10 @@
 		echo "==> bootstrap (compile)"; \
 		$(ERL) -s elixir_compiler bootstrap -s erlang halt; \
 	fi
-	$(Q) $(MAKE) unicode
+	$(Q) "$(MAKE)" unicode
 	@ echo "==> elixir (compile)";
 	$(Q) cd lib/elixir && ../../$(ELIXIRC) "lib/**/*.ex" -o ebin;
-	$(Q) $(MAKE) app
+	$(Q) "$(MAKE)" app
 
 app: $(APP)
 $(APP): lib/elixir/src/elixir.app.src lib/elixir/ebin VERSION $(GENERATE_APP)
@@ -105,7 +106,7 @@
 $(UNICODE): lib/elixir/unicode/*
 	@ echo "==> unicode (compile)";
 	$(Q) $(ELIXIRC) lib/elixir/unicode/unicode.ex -o lib/elixir/ebin;
-	$(Q) $(ELIXIRC) lib/elixir/unicode/properties.ex -o lib/elixir/ebin;
+	$(Q) $(ELIXIRC) lib/elixir/unicode/security.ex -o lib/elixir/ebin;
 	$(Q) $(ELIXIRC) lib/elixir/unicode/tokenizer.ex -o lib/elixir/ebin;
 
 $(eval $(call APP_TEMPLATE,ex_unit,ExUnit))
@@ -127,7 +128,7 @@
 	$(Q) for file in "$(DESTDIR)$(PREFIX)"/$(LIBDIR)/elixir/bin/*; do \
 		ln -sf "../$(LIBDIR)/elixir/bin/$${file##*/}" "$(DESTDIR)$(PREFIX)/$(BINDIR)/"; \
 	done
-	$(MAKE) install_man
+	"$(MAKE)" install_man
 
 check_reproducible: compile
 	$(Q) echo "==> Checking for reproducible builds..."
@@ -145,7 +146,7 @@
 	$(Q) mv lib/iex/ebin/* lib/iex/tmp/ebin_reproducible/
 	$(Q) mv lib/logger/ebin/* lib/logger/tmp/ebin_reproducible/
 	$(Q) mv lib/mix/ebin/* lib/mix/tmp/ebin_reproducible/
-	SOURCE_DATE_EPOCH=$(call READ_SOURCE_DATE_EPOCH) $(MAKE) compile
+	SOURCE_DATE_EPOCH=$(call READ_SOURCE_DATE_EPOCH) "$(MAKE)" compile
 	$(Q) echo "Diffing..."
 	$(Q) bin/elixir lib/elixir/diff.exs lib/elixir/ebin/ lib/elixir/tmp/ebin_reproducible/
 	$(Q) bin/elixir lib/elixir/diff.exs lib/eex/ebin/ lib/eex/tmp/ebin_reproducible/
@@ -159,7 +160,7 @@
 	rm -rf ebin
 	rm -rf lib/*/ebin
 	rm -rf $(PARSER)
-	$(Q) $(MAKE) clean_residual_files
+	$(Q) "$(MAKE)" clean_residual_files
 
 clean_elixir:
 	$(Q) rm -f lib/*/ebin/Elixir.*.beam
@@ -172,14 +173,14 @@
 	rm -rf lib/mix/test/fixtures/git_rebar/
 	rm -rf lib/mix/test/fixtures/git_repo/
 	rm -rf lib/mix/test/fixtures/git_sparse_repo/
+	rm -rf lib/mix/test/fixtures/archive/ebin/
 	rm -f erl_crash.dump
-	$(Q) $(MAKE) clean_man
+	$(Q) "$(MAKE)" clean_man
 
 #==> Documentation tasks
 
 LOGO_PATH = $(shell test -f ../docs/logo.png && echo "--logo ../docs/logo.png")
 SOURCE_REF = $(shell tag="$(call GIT_TAG)" revision="$(call GIT_REVISION)"; echo "$${tag:-$$revision}")
-DOCS_FORMAT = html
 COMPILE_DOCS = CANONICAL=$(CANONICAL) bin/elixir ../ex_doc/bin/ex_doc "$(1)" "$(VERSION)" "lib/$(2)/ebin" --main "$(3)" --source-url "https://github.com/elixir-lang/elixir" --source-ref "$(call SOURCE_REF)" $(call LOGO_PATH) --output doc/$(2) --canonical "https://hexdocs.pm/$(2)/$(CANONICAL)" --homepage-url "https://elixir-lang.org/docs.html" --formatter "$(DOCS_FORMAT)" $(4)
 
 docs: compile ../ex_doc/bin/ex_doc docs_elixir docs_eex docs_mix docs_iex docs_ex_unit docs_logger
@@ -221,24 +222,14 @@
 #==> Zip tasks
 
 Docs.zip: docs
-	rm -f Docs-v$(VERSION).zip
-	zip -9 -r Docs-v$(VERSION).zip CHANGELOG.md doc NOTICE LICENSE README.md
-	@ echo "Docs file created $(CURDIR)/Docs-v$(VERSION).zip"
+	rm -f Docs.zip
+	zip -9 -r Docs.zip CHANGELOG.md doc NOTICE LICENSE README.md
+	@ echo "Docs file created $(CURDIR)/Docs.zip"
 
 Precompiled.zip: build_man compile
-	rm -f Precompiled-v$(VERSION).zip
-	zip -9 -r Precompiled-v$(VERSION).zip bin CHANGELOG.md lib/*/ebin lib/*/lib LICENSE man NOTICE README.md VERSION
-	@ echo "Precompiled file created $(CURDIR)/Precompiled-v$(VERSION).zip"
-
-zips: Precompiled.zip Docs.zip
-	@ echo ""
-	@ echo "### Checksums"
-	@ echo ""
-	@ shasum -a 1 < Precompiled-v$(VERSION).zip | sed -e "s/-//" | xargs echo "  * Precompiled.zip SHA1:"
-	@ shasum -a 512 < Precompiled-v$(VERSION).zip | sed -e "s/-//" | xargs echo "  * Precompiled.zip SHA512:"
-	@ shasum -a 1 < Docs-v$(VERSION).zip | sed -e "s/-//" | xargs echo "  * Docs.zip SHA1:"
-	@ shasum -a 512 < Docs-v$(VERSION).zip | sed -e "s/-//" | xargs echo "  * Docs.zip SHA512:"
-	@ echo ""
+	rm -f Precompiled.zip
+	zip -9 -r Precompiled.zip bin CHANGELOG.md lib/*/ebin lib/*/lib LICENSE man NOTICE README.md VERSION
+	@ echo "Precompiled file created $(CURDIR)/Precompiled.zip"
 
 #==> Test tasks
 
@@ -278,7 +269,7 @@
 	$(Q) mkdir -p $(TEST_EBIN)
 	$(Q) $(ERLC) -o $(TEST_EBIN) $<
 
-test_elixir: test_stdlib test_ex_unit test_logger test_mix test_eex test_iex
+test_elixir: test_stdlib test_ex_unit test_logger test_eex test_iex test_mix
 
 test_stdlib: compile
 	@ echo "==> elixir (ex_unit)"
@@ -296,7 +287,7 @@
 
 $(PLT):
 	@ echo "==> Building PLT with Elixir's dependencies..."
-	$(Q) dialyzer --output_plt $(PLT) --build_plt --apps erts kernel stdlib compiler syntax_tools parsetools tools ssl inets crypto runtime_tools ftp tftp mnesia public_key asn1 hipe sasl
+	$(Q) dialyzer --output_plt $(PLT) --build_plt --apps erts kernel stdlib compiler syntax_tools parsetools tools ssl inets crypto runtime_tools ftp tftp mnesia public_key asn1 sasl
 
 clean_plt:
 	$(Q) rm -f $(PLT)
@@ -329,3 +320,10 @@
 	rm -f man/iex.1
 	rm -f man/iex.1.bak
 
+install_man: build_man
+	$(Q) mkdir -p $(DESTDIR)$(MAN_PREFIX)/man1
+	$(Q) $(INSTALL_DATA) man/elixir.1  $(DESTDIR)$(MAN_PREFIX)/man1
+	$(Q) $(INSTALL_DATA) man/elixirc.1 $(DESTDIR)$(MAN_PREFIX)/man1
+	$(Q) $(INSTALL_DATA) man/iex.1     $(DESTDIR)$(MAN_PREFIX)/man1
+	$(Q) $(INSTALL_DATA) man/mix.1     $(DESTDIR)$(MAN_PREFIX)/man1
+	"$(MAKE)" clean_man

=== debian/changelog ===
elixir-lang (1.14.0.dfsg-2) unstable; urgency=medium

  * Get rid of .home since debhelper 13 sets HOME to
    debian/.debhelper/generated/_source/home.

 -- Evgeny Golyshev <eugulixes@gmail.com>  Sat, 08 Oct 2022 19:54:46 +0300

elixir-lang (1.14.0.dfsg-1) unstable; urgency=medium

  * New upstream release (closes: #1020839).
  * Get rid of remove_rebar3_related_tests.patch since rebar3 is finally
    available in Debian Bookworm.
  * Switch to rebar3.

 -- Evgeny Golyshev <eugulixes@gmail.com>  Sun, 02 Oct 2022 21:17:01 +0300

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                erlang-parsetools (>= 1:24.1),
                erlang-src (>= 1:24.1),
                git,
-               rebar
+               rebar3
 Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/eugulixes-guest/elixir-lang.git
 Vcs-Browser: https://salsa.debian.org/eugulixes-guest/elixir-lang

=== debian/rules ===
#!/usr/bin/make -f

export LANG=C.UTF-8
export LC_ALL=C.UTF-8
export REBAR3=/usr/bin/rebar3
export PREFIX=/usr

%:
	dh $@


override_dh_auto_test:
	CNT=3 ; rc=1 ; while [ $$CNT != 0 ] && [ $$rc != 0 ] ; do \
		if dh_auto_test ; then \
			rc=0 ; \
		else \
			rc=1 ; \
			epmd -kill ; \
		fi ; \
		CNT=$$(( $$CNT - 1)) ; \
	done ; \
	if [ $${rc} != 0 ] ; then exit $$rc ; else epmd -kill ; fi

override_dh_shlibdeps:
	dh_shlibdeps
	erlang-depends

=== debian/watch ===
version=4
opts=dversionmangle=s/\.dfsg//,repacksuffix=.dfsg \
https://github.com/elixir-lang/elixir/tags/ .*/v([0-9.]*).tar.gz

## elixir-lang 1.17.3.dfsg

=== debian/changelog ===
elixir-lang (1.17.3.dfsg-2) unstable; urgency=medium

  * Adapt debian/tests/run-all to Elixir 1.17.3.
  * Remove erlang-24.1.patch, as it's no longer needed.
  * Accept patch from Bo YU to fix FTBFS on riscv64 (closes: #1089650).
  * Replace rebar for rebar3 in debian/tests/control.

 -- Evgeny Golyshev <eugulixes@gmail.com>  Wed, 18 Dec 2024 16:56:09 +0300

elixir-lang (1.17.3.dfsg-1) unstable; urgency=medium

  * New upstream release (closes: #1078070).
  * Require Erlang 25.0 or later.
  * Refresh patches/erlang-24.1.patch.
  * Update debian/patches/remove-utf8-warning.patch.
  * Do not mention rebar in debian/changelog, as Elixir no longer
    includes it.
  * Add fix-tests-under-erlang-27.1.patch from Igor Goryachev to fix logger
    translator tests under Erlang 27.1.

 -- Evgeny Golyshev <eugulixes@gmail.com>  Tue, 03 Dec 2024 17:44:43 +0300

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,15 @@
 Priority: optional
 Maintainer: Evgeny Golyshev <eugulixes@gmail.com>
 Build-Depends: debhelper-compat (= 13),
-               erlang-crypto (>= 1:24.1),
-               erlang-dev (>= 1:24.1),
-               erlang-dialyzer (>= 1:24.1),
-               erlang-eunit (>= 1:24.1),
-               erlang-parsetools (>= 1:24.1),
-               erlang-src (>= 1:24.1),
+               erlang-crypto (>= 1:25),
+               erlang-dev (>= 1:25),
+               erlang-dialyzer (>= 1:25),
+               erlang-eunit (>= 1:25),
+               erlang-parsetools (>= 1:25),
+               erlang-src (>= 1:25),
                git,
                rebar3
-Standards-Version: 4.6.0
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/eugulixes-guest/elixir-lang.git
 Vcs-Browser: https://salsa.debian.org/eugulixes-guest/elixir-lang
 Homepage: http://elixir-lang.org/
